Enrich Contact
curl --request POST \
--url https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrichEmail": true,
"enrichMobilePhone": true
}
'import requests
url = "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich"
payload = {
"enrichEmail": True,
"enrichMobilePhone": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enrichEmail: true, enrichMobilePhone: true})
};
fetch('https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enrichEmail' => true,
'enrichMobilePhone' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich"
payload := strings.NewReader("{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}"
response = http.request(request)
puts response.read_body{
"enrichmentId": "8817263",
"status": "PENDING"
}
Company API
Enrich Contact
POST
/
v2
/
companies
/
{companyId}
/
contacts
/
{contactId}
/
enrich
Enrich Contact
curl --request POST \
--url https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enrichEmail": true,
"enrichMobilePhone": true
}
'import requests
url = "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich"
payload = {
"enrichEmail": True,
"enrichMobilePhone": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enrichEmail: true, enrichMobilePhone: true})
};
fetch('https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enrichEmail' => true,
'enrichMobilePhone' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich"
payload := strings.NewReader("{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizzy.ai/v2/companies/{companyId}/contacts/{contactId}/enrich")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enrichEmail\": true,\n \"enrichMobilePhone\": true\n}"
response = http.request(request)
puts response.read_body{
"enrichmentId": "8817263",
"status": "PENDING"
}
Queues an email and/or mobile phone enrichment for a contact. This endpoint always returns immediately with a
PENDING job — poll Enrichment Status with the returned enrichmentId to get the result.
Enriching costs credits - see the Credit usage section
Request
Path
string
required
Obfuscated companyId returned by the search endpoint.
string
required
ContactId is the unique identifier of the contact.
Body
boolean
default:"false"
Enrich the contact with an email address, if available.
boolean
default:"false"
Enrich the contact with a mobile phone number, if available.
At least one of
enrichEmail or enrichMobilePhone must be true.Response
Returns202 Accepted with a Location header pointing at /enrichments/{enrichmentId}.
When the enrichment resolves synchronously (nothing to queue) and a credit is charged, the response includes
X-Bizzy-Credits-Balance and X-Bizzy-Credits-Charged headers — see Credit usage.string
Obfuscated id used to poll the Enrichment Status endpoint.
string
Always
PENDING on creation.{
"enrichmentId": "8817263",
"status": "PENDING"
}
Was this page helpful?